/***************************************************************************
                          dialog_g94imp.h  -  description
                             -------------------
    begin                : Sat Feb 19 2000
    copyright            : (C) 2000 - 2003 by M. Hoverath
    email                : mario.hoverath@uni-koeln.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _G94FILEIMPORTDIALOG
#define _G94FILEIMPORTDIALOG

/* include files for QT */
#include <qvariant.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qspinbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* application specific includes */
#include "g94file.h"
#include "dialog_g94imp_ui.h"

/* class CImpG94Dialog */
class CImpG94Dialog : public CImpG94DialogUI
{
  Q_OBJECT

public:
  /* constructor */
  CImpG94Dialog(QWidget *parent = 0, const char *name = 0, WFlags f = 0);

  /* destructor */
  ~CImpG94Dialog();

  /* Set */
  void SetG94File(CG94File &G94File);

  /* Get */
  int GetSelection(void);

public slots:
  void updateSelection(int value);

protected:
  /* protected members */
  CG94File g94file;
  QString Path;
  int NumberOfCalculations;
  QString Parameters;
  QString Title;
  int Selection;
};

#endif /* _G94FILEIMPORTDIALOG */
