/***************************************************************************
                          introscreen.h  -  description
                             -------------------
    begin                : Sun Dec 29 2002
    copyright            : (C) 2000 - 2003 by M. Hoverath
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef INTROSCREEN_H
#define INTROSCREEN_H

#include <qwidget.h>
#include <qapplication.h>
#include <qpixmap.h>
#include <qtimer.h>

class CIntroScreen : public QWidget
{
   Q_OBJECT

public: 
	CIntroScreen(const char *xpm[], QWidget *parent = 0, const char *name = 0);
	~CIntroScreen();

public slots:
  virtual void show(int msec);
  void timerDone();
  virtual void showEvent(QShowEvent*);

protected:
  int width;
  int height;
  int introtime;
  QTimer *timer;
  QPixmap intropixmap;
};

#endif
